Bug 17077 - SVG SMIL animation is currently broken (and turned off) (affects Acid3 tests 75 and 76)
Summary: SVG SMIL animation is currently broken (and turned off) (affects Acid3 tests ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: Acid3
  Show dependency treegraph
 
Reported: 2008-01-29 14:49 PST by Eric Seidel (no email)
Modified: 2008-04-08 22:12 PDT (History)
3 users (show)

See Also:


Attachments
patch for test 75 (12.53 KB, patch)
2008-03-25 23:41 PDT, Antti Koivisto
aroben: review+
Details | Formatted Diff | Diff
enable animation & implement beginElement() (7.28 KB, patch)
2008-03-26 16:53 PDT, Antti Koivisto
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2008-01-29 14:49:11 PST
SVG SMIL animation is currently broken (and turned off) (affects Acid3)

:sigh:  Eventually we'll need to fix our SMIL implementation and turn it back on if we wish to pass Acid3 (as currently written).
Comment 1 Antti Koivisto 2008-03-23 21:56:22 PDT
The test itself does not look very demanding. As far as I can see the only missing feature is the support for beginElement() and perhaps some bug fixes to baseVal/animVal.
 
Comment 2 Lars Gunther 2008-03-24 02:37:43 PDT
(In reply to comment #1)
> The test itself does not look very demanding. 

But implementing SMIL must be about getting a rock solid implementation per se, right? Or is passing Acid3 a value in itself? (Not in my book!)

Test suites like this one should be more important to pass: http://www.w3.org/2001/SMIL20/testsuite/
Comment 3 Antti Koivisto 2008-03-25 23:41:29 PDT
Created attachment 20075 [details]
patch for test 75

Amusingly this no-op patch which simply adds ElementTimeControl interface is sufficient for passing test 75. 

Test 76 will actually require enabling animation support!
Comment 4 Adam Roben (:aroben) 2008-03-26 09:35:00 PDT
Comment on attachment 20075 [details]
patch for test 75

We'll need to add the new files to the other 4 build systems (WebCore.vcproj, WebCore.pro, GNUMakefile.am, and WebCoreSources.bkl).

You're missing a newline at the end of ElementTimeControl.idl

r=me if you fix the above.
Comment 5 Antti Koivisto 2008-03-26 10:01:00 PDT
Sending        WebCore/ChangeLog
Sending        WebCore/DerivedSources.make
Sending        WebCore/WebCore.pro
Sending        WebCore/WebCore.vcproj/WebCore.vcproj
Sending        WebCore/WebCore.xcodeproj/project.pbxproj
Sending        WebCore/bindings/scripts/CodeGeneratorObjC.pm
Adding         WebCore/svg/ElementTimeControl.h
Adding         WebCore/svg/ElementTimeControl.idl
Sending        WebCore/svg/SVGAnimationElement.cpp
Sending        WebCore/svg/SVGAnimationElement.h
Sending        WebCore/svg/SVGAnimationElement.idl
Transmitting file data ...........
Committed revision 31315.
Comment 6 Antti Koivisto 2008-03-26 16:53:27 PDT
Created attachment 20104 [details]
enable animation & implement beginElement()

This fixes test 76.
Comment 7 Anders Carlsson 2008-03-26 16:57:42 PDT
Comment on attachment 20104 [details]
enable animation & implement beginElement()

r=me
Comment 8 Antti Koivisto 2008-03-26 17:26:18 PDT
Sending        WebCore/ChangeLog
Sending        WebCore/Configurations/WebCore.xcconfig
Sending        WebCore/svg/SVGAnimationElement.cpp
Sending        WebCore/svg/SVGAnimationElement.h
Sending        WebKitTools/ChangeLog
Sending        WebKitTools/Scripts/build-webkit
Transmitting file data ......
Committed revision 31334.
Comment 9 Antti Koivisto 2008-04-08 22:12:13 PDT
Bug 18375 is the "make it REALLY work" bug.